/***************************************************************************
 *   Copyright (C) 2009 by Lassi Väätämöinen   *
 *   lassi.vaatamoinen@ixonos.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef DOWNLOADVIEW_H
#define DOWNLOADVIEW_H

#include <QTreeWidget>

/**
	@author Lassi Väätämöinen <lassi.vaatamoinen@ixonos.com>
*/
class DownloadView : public QTreeWidget
{
Q_OBJECT
		
	public:
    DownloadView(QWidget* parent);

    ~DownloadView();

	private:

};


/**
	@class DownloadViewItem
	@brief Represents one item row of DownloadView
*/
class DownloadViewItem : public QTreeWidgetItem {
	
	public:
		
		DownloadViewItem(QTreeWidget* parent, int type) : 
				QTreeWidgetItem(parent, type = QTreeWidgetItem::UserType)
		{
		};
		
		DownloadViewItem(const QStringList& strings, 
										int type = QTreeWidgetItem::UserType ) : 
			QTreeWidgetItem (strings, type = Type)
		{
		};
		
		
		/// @return An item comprising of string list, suitable for QTableView
		/// header.
		static DownloadViewItem *getHeaderItem()
		{
			DownloadViewItem *item  
				= new DownloadViewItem(QStringList() << "Name" 
					<< "Size" << "Status" 
					<< "Progress" << "DL speed" 
					<< "UL speed" << "Seeds/Leechers"
					<< "ratio" << "ETA");
			
			return item;
		}

		/// @todo QTorrentHandle as one hidden column
};

#endif
